package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CompanyPosition;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CompanyPositionService {
	CompanyPosition get(String id);
	boolean exist(String id);
	int insert(CompanyPosition model);
	int update(CompanyPosition model);
	int delete(String id);
	List<CompanyPosition> findByCompanyId(String companyId);
	List<CompanyPosition> list();
	Page<CompanyPosition> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<String> findAllPosition(CompanyPosition companyPosition);
}